APIs / Dubizzle / Property Search
Dubizzle: Property Search
Property Search from Dubizzle as JSON. 1 credit per successful call.
GET /v1/dubizzle/property-search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Optional | Up to 200 characters |
emirate | string | Optional | dubai, abu-dhabi, sharjah, ajman, al-ain, ras-al-khaimah, umm-al-quwain, fujairah |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
page | integer | Optional | Any |
limit | integer | Optional | Any |
purpose | string | Optional | sale, rent |
segment | string | Optional | residential, commercial |
category | string | Optional | Any |
bedrooms_min | integer | Optional | Any |
bedrooms_max | integer | Optional | Any |
size_min | integer | Optional | Any |
size_max | integer | Optional | Any |
furnished | boolean | Optional | Any |
sort | string | Optional | newest, oldest, price_asc, price_desc, verified_first |
Example request
curl "https://api.perceptlayer.com/v1/dubizzle/property-search?purpose=sale&category=property-for-sale%2Fresidential%2Fapartment&emirate=dubai&limit=3" \
-H "X-API-Key: $API_KEY"